package com.uas.platform.b2b.temporary.model;

/**
 * 异常信息抓取
 *
 * Created by hejq on 2018-06-21.
 */
public class ExceptionMsg {

    /**
     * 属于b2b的类名
     */
    public static final String B2BPROGRAMNAME = "com.uas.platform.b2b";

    /**
     * erp访问接口
     */
    public static final String ERPACCESSURL = "/erp";

    /**
     * 类名
     */
    private String className;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 方法名
     */
    private String methodName;

    /**
     * 行数
     */
    private Integer lineNumber;

    /**
     * 异常情况
     */
    private Boolean nativeMethod;

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public Integer getLineNumber() {
        return lineNumber;
    }

    public void setLineNumber(Integer lineNumber) {
        this.lineNumber = lineNumber;
    }

    public Boolean getNativeMethod() {
        return nativeMethod;
    }

    public void setNativeMethod(Boolean nativeMethod) {
        this.nativeMethod = nativeMethod;
    }
}
